<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="ISO-8859-1"/>
  <xsl:decimal-format name="euro" decimal-separator="," grouping-separator="."/>
  <xsl:template match="/">
    <html>
      <head>
        <title>Bestellung</title>
      </head>
      <body bgcolor="#C0C0C1">
        <h3>Bestellung</h3>
         <xsl:apply-templates select="//kunde"/>
         <table border="1" cellpadding="5" cellspacing="5">
       
            <xsl:apply-templates select="//positionen"/></table>

      </body>
    </html>
  </xsl:template>
  <xsl:template match="kunde">
       <p><xsl:value-of select="name"/></p>
      <p><xsl:value-of select="strasse"/></p>
      <p><xsl:value-of select="plz"/><xsl:text> </xsl:text> <xsl:value-of select="ort"/> </p>
   </xsl:template>

  <xsl:template match="positionen">
  <tr>
    <th>Nr</th>
    <th>Beschreibung</th>
    <th>Gebinde</th>
    <th>Menge</th>
    <th>Preis</th>
  </tr>
      <xsl:for-each select="position">
     <tr>
      <td><xsl:value-of select="artikelnr"/></td>
      <td><xsl:value-of select="beschreibung"/></td>
      <td><xsl:value-of select="gebinde"/></td>
      <td><xsl:value-of select="menge"/></td>
      <td><xsl:value-of select="format-number(europreis, '##.###,00 &#8364;', 'euro')"/></td></tr>

 
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
